DELETE
/plugins/{name} Connection and access
API connection and authentication guidance
/v1.57
No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.
Parameters
name
path
Required
The name of the plugin. The
:latest tag is optional, and is the
default if omitted.Type:
string
All schema constraints and annotations
{
"type": "string"
}force
query
Disable the plugin before removing. This may result in issues if the
plugin is in use by a container.
Type:
boolean
All schema constraints and annotations
{
"default": false,
"type": "boolean"
}Request and responses
Response
200
no error
application/json
Schema:
Plugin
Response
200
no error
text/plain
Schema:
Plugin
Response
404
plugin is not installed
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Response
500
server error
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Referenced schemas
#/components/schemas/ErrorResponse
Complete operation contract
{
"operationId": "PluginDelete",
"parameters": [
{
"description": "The name of the plugin. The `:latest` tag is optional, and is the\ndefault if omitted.\n",
"in": "path",
"name": "name",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Disable the plugin before removing. This may result in issues if the\nplugin is in use by a container.\n",
"in": "query",
"name": "force",
"schema": {
"default": false,
"type": "boolean"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Plugin"
}
},
"text/plain": {
"schema": {
"$ref": "#/components/schemas/Plugin"
}
}
},
"description": "no error"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "plugin is not installed"
},
"500": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "server error"
}
},
"summary": "Remove a plugin",
"tags": [
"Plugin"
]
}